#define HMBDC_LOG_CONTEXT hmbdc::app::Context<24>
#include "hmbdc/app/tcpcast/NetContext.hpp"
namespace tested_module = hmbdc::app::tcpcast;
#include "hmbdc/app/utils/NetPerf.hpp"
int main(int argc, char** argv) {
    return hmbdc::app::utils::startNetPerf(tested_module::DefaultUserConfig
    ,
    "Warning: hmbdc-tcpcast uses tcp AND multicast functions and it is imperative that multicast is enabled (stop the firewall?) on your network for this to work."
    "Example:\nrunning \n$sender-host: ./perf-tcpcast --sender --ifaceAddr 192.168.1.101 \n"
    "$receiver-host1: ./perf-tcpcast --receiver --ifaceAddr 192.168.1.102\n"
    "$receiver-host2: ./perf-tcpcast --receiver --ifaceAddr 192.168.1.103 \n"
    "would start the sender using NIC with 192.168.1.101 ip address and two receivers using their 192.168.1.102, 192.168.1.103 NICs."
    ,
    argc, argv);
}
