#Demonstrate how to use hmbdc's network functions in python
#Each hmbdc network communication module provides a console executable to interact with
#other languages other than C/C++, for example, console-tcpcast is for tcpcast module
#./console-tcpcast --help produce command documentation
#
#this progam sends and receive messages to itself using host loopback interface
import subprocess

#Popen Console, so we can use console-tcpcast as a console to hmbdc-tcpcast functions
p = subprocess.Popen(['/opt/hmbdc/bin/console-tcpcast', '127.0.0.1'], stdin=subprocess.PIPE, stdout=subprocess.PIPE)
print >> p.stdin, "topic console" 			#set current topic to be console
print >> p.stdin, "listen console"			#also subscribe to console topic so it hears itself in this case
print >> p.stdin, "ostr"			        #print received message in string format
print >> p.stdin, "sendstr 1001 hello"	    #send a message tagged 1001 with content hello in console topic
print p.stdout.readline(),                  #print out a message it receives - "1001 hello" since we listen to console

print >> p.stdin, "ohex"			        #print received message in hex format
print >> p.stdin, "sendstr 1001 abcdefghijklmn"
print p.stdout.readline(),                  #see hex bytes
